## matlab2tikz 0.4.0

=== Makefile ===
# This makefile creates a release tarball.

MATLAB2TIKZ_DIR=.
VERSION=0.4.0

default: release

release:
	# The license is automatically added by
	# MathWorks after the upload.
	@zip -r matlab2tikz_${VERSION}.zip \
     ${MATLAB2TIKZ_DIR}/AUTHORS \
     ${MATLAB2TIKZ_DIR}/ChangeLog \
     ${MATLAB2TIKZ_DIR}/README.md \
     ${MATLAB2TIKZ_DIR}/THANKS \
     ${MATLAB2TIKZ_DIR}/version-${VERSION} \
     ${MATLAB2TIKZ_DIR}/helpers/ \
     ${MATLAB2TIKZ_DIR}/src/

clean:
	rm -f matlab2tikz_${VERSION}.zip

=== debian/changelog ===
matlab2tikz (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * remove_cleanfigure.patch: new patch for Octave compatibility

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 28 Jun 2013 09:53:11 +0000

matlab2tikz (0.3.3-1) unstable; urgency=low

  * Imported Upstream version 0.3.3
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 25 Apr 2013 18:25:06 +0200

matlab2tikz (0.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #701829)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Mar 2013 18:07:14 +0100

=== debian/control ===
Source: matlab2tikz
Section: math
Priority: extra
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: https://github.com/nschloe/matlab2tikz
Vcs-Git: git://git.debian.org/git/pkg-octave/matlab2tikz.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/matlab2tikz.git

Package: matlab2tikz
Architecture: all
Depends: octave, ${misc:Depends}
Recommends: texlive-pictures
Description: converter of Octave plots to TikZ figures (for integration into LaTeX)
 matlab2tikz is an Octave script for converting Octave figures into native
 TikZ/Pgfplots figures, which can then easily be incorporated into a LaTeX
 document. It supports the conversion of most Octave figures, including 2D and
 3D plots.
 .
 This package is also compatible with the (nonfree) MATLAB software.

## matlab2tikz 0.4.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This makefile creates a release tarball.
 
 MATLAB2TIKZ_DIR=.
-VERSION=0.4.0
+VERSION=0.4.4
 
 default: release
 
@@ -14,7 +14,7 @@
      ${MATLAB2TIKZ_DIR}/README.md \
      ${MATLAB2TIKZ_DIR}/THANKS \
      ${MATLAB2TIKZ_DIR}/version-${VERSION} \
-     ${MATLAB2TIKZ_DIR}/helpers/ \
+     ${MATLAB2TIKZ_DIR}/tools/ \
      ${MATLAB2TIKZ_DIR}/src/
 
 clean:

=== test/tex/Makefile ===
# ./Makefile

# ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###

ECHOCMD:=/bin/echo -e
PDFLATEX:=lualatex

# ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###

TARGET:=acid

# ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###
# 

default: main

#main:
main: eps2pdf
	@$(PDFLATEX) $(TARGET)

.PHONY: clean

# make sure the EPS's got converted to PDF's
eps2pdf:
	@echo -e -n "Building PDF files..."
	@find ../data/ -name "*.eps" -exec epstopdf {} \;
	@echo -e " done.\n\n"
	
clean:
	@rm -f $(TARGET).aux \
	$(TARGET).log \
	$(TARGET).nav \
	$(TARGET).out \
	$(TARGET).snm \
	$(TARGET).toc \
	$(TARGET).vrb \
	$(TARGET).pdf \
	$(TARGET).dvi \
	$(TARGET).ps \
	missfont.log
	@rm -f *~

distclean: clean
	@rm -f ../data/*
	@rm -f $(TARGET).tex

=== debian/changelog ===
matlab2tikz (0.4.4-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 0.4.4

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Jan 2014 22:08:49 +0100

matlab2tikz (0.4.3-1) unstable; urgency=low

  * Imported Upstream version 0.4.3

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 24 Oct 2013 15:17:20 +0200

matlab2tikz (0.4.2-1) unstable; urgency=low

  * Imported Upstream version 0.4.2

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Sep 2013 08:05:00 +0000

matlab2tikz (0.4.1-1) unstable; urgency=low

  * Imported Upstream version 0.4.1
  * Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Aug 2013 23:10:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/nschloe/matlab2tikz
-Vcs-Git: git://git.debian.org/git/pkg-octave/matlab2tikz.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/matlab2tikz.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/matlab2tikz.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/matlab2tikz.git
 
 Package: matlab2tikz
 Architecture: all

## matlab2tikz 0.4.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This makefile creates a release tarball.
 
 MATLAB2TIKZ_DIR=.
-VERSION=0.4.4
+VERSION=0.4.7
 
 default: release

=== test/tex/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###
 
 ECHOCMD:=/bin/echo -e
-PDFLATEX:=lualatex
+PDFLATEX:=lualatex --shell-escape
 
 # ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ### ###
 
@@ -15,17 +15,11 @@
 default: main
 
 #main:
-main: eps2pdf
+main:
 	@$(PDFLATEX) $(TARGET)
 
 .PHONY: clean
 
-# make sure the EPS's got converted to PDF's
-eps2pdf:
-	@echo -e -n "Building PDF files..."
-	@find ../data/ -name "*.eps" -exec epstopdf {} \;
-	@echo -e " done.\n\n"
-	
 clean:
 	@rm -f $(TARGET).aux \
 	$(TARGET).log \

=== debian/changelog ===
matlab2tikz (0.4.7-1) unstable; urgency=medium

  * Imported Upstream version 0.4.7
  * Remove Thomas Weber from Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Jul 2014 16:04:35 +0000

matlab2tikz (0.4.6-1) unstable; urgency=medium

  * Imported Upstream version 0.4.6

 -- Thomas Weber <tweber@debian.org>  Tue, 18 Feb 2014 14:12:10 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# The default Makefile rule creates a ZIP file, so skip it
override_dh_auto_build:

override_dh_installexamples:
	dh_installexamples -X.gitignore

=== debian/watch ===
version=3
https://github.com/nschloe/matlab2tikz/tags .*/(\d[\d\.]+)\.tar\.gz

## matlab2tikz 1.1.0

=== test/template/Makefile ===
# ./Makefile

ECHOCMD:=/bin/echo -e
LATEX:=pdflatex --shell-escape
TARGET:=acid

main:
	cd data/reference/ && $(MAKE)
	cd data/converted/ && $(MAKE)
	@$(LATEX) $(TARGET)

.PHONY: clean

clean:
	@rm -f $(TARGET).aux \
	$(TARGET).log \
	$(TARGET).nav \
	$(TARGET).out \
	$(TARGET).snm \
	$(TARGET).toc \
	$(TARGET).vrb \
	$(TARGET).pdf \
	$(TARGET).dvi \
	$(TARGET).ps \
	missfont.log
	@rm -f *~
	cd data/reference/ && $(MAKE) clean
	cd data/converted/ && $(MAKE) clean

distclean: clean
	@rm -f $(TARGET).tex
	cd data/reference/ && $(MAKE) distclean
	cd data/converted/ && $(MAKE) distclean

=== test/template/data/converted/Makefile ===
# ./Makefile

ECHOCMD:=/bin/echo -e
LATEX:=pdflatex --shell-escape -interaction=batchmode

TEST_SRCS:=$(wildcard test*-converted.tex)
TEST_PDFS:=$(TEST_SRCS:.tex=.pdf)

default: $(TEST_PDFS)

%.pdf: %.tex
	@$(LATEX) $<

.PHONY: clean

clean:
	rm -f test*-converted.aux \
		test*-converted.log \
		test*-converted.pdf

distclean: clean
	rm -f test*-converted.tex \
		test*-converted*.png

=== test/template/data/reference/Makefile ===
# ./Makefile

EPSTOPDF:=epstopdf

REFERENCE_EPSS:=$(wildcard test*-reference.eps)
REFERENCE_PDFS:=$(REFERENCE_EPSS:.eps=.pdf)

default: $(REFERENCE_PDFS)

%.pdf: %.eps
	$(EPSTOPDF) $<

.PHONY: clean

clean:
	rm -f test*-reference.pdf

distclean: clean
	rm -f test*-reference.eps

=== debian/changelog ===
matlab2tikz (1.1.0-9) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:30:58 -0300

matlab2tikz (1.1.0-8) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:11:58 -0300

matlab2tikz (1.1.0-7) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Rafael Laboissière ]
  * d/p/unreliable-test.patch: Set Forwarded:not-needed
  * d/control: Bump debhelper compatibility level to 13

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:11:43 -0300

matlab2tikz (1.1.0-6) unstable; urgency=medium

  * Team upload

  * d/matlab2tikz.links: Fix link to the source directory (Closes: #919100)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jan 2019 16:48:27 -0200

matlab2tikz (1.1.0-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:52:57 -0200

matlab2tikz (1.1.0-4) unstable; urgency=medium

  * New patches: octave-4.2.{0,2}-test-results.patch.
    Fix autopkgtest with recent Octave.
    Thanks to Graham Inggs (Closes: #893555)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 Mar 2018 11:08:23 +0200

matlab2tikz (1.1.0-3) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.1.3
  * d/control: Replace Priority:extra with Priority:optional.
    This is mandated by the Debian Policy since version 4.0.1.
  * Set debhelper compatibility level to >= 11

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 07:01:41 -0200

matlab2tikz (1.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/control: use canonical URL for Vcs-Browser.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:24:01 -0200

matlab2tikz (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * d/copyright: reflect upstream changes.
  * remove_cleanfigure.patch: drop obsolete patch.
  * New patches: unreliable-test.patch, path-issues.patch.
  * Update homepage in d/control and d/watch.
  * Bump to debhelper compat level 10.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add texlive-latex-extra to Recommends: it contains the standalone pkg.
  * d/control: use secure URLs for Vcs-* fields.
  * Add autopkgtest support: runs the testsuite.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Jan 2017 17:13:36 +0100

=== debian/control ===
Source: matlab2tikz
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/matlab2tikz/matlab2tikz
Vcs-Git: https://salsa.debian.org/pkg-octave-team/matlab2tikz.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/matlab2tikz

Package: matlab2tikz
Architecture: all
Depends: octave, ${misc:Depends}
Recommends: texlive-pictures, texlive-latex-extra
Description: converter of Octave plots to TikZ figures (for integration into LaTeX)
 matlab2tikz is an Octave script for converting Octave figures into native
 TikZ/Pgfplots figures, which can then easily be incorporated into a LaTeX
 document. It supports the conversion of most Octave figures, including 2D and
 3D plots.
 .
 This package is also compatible with the (nonfree) MATLAB software.

=== debian/watch ===
Version: 5

Template: Github
Owner: matlab2tikz
Project: matlab2tikz
